%global qt_module qtimageformats

Summary: Qt6 - QtImageFormats component
Name:    qt6-%{qt_module}
Version: 6.0.1
Release: 1%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/additional_libraries/%{qt_module}/%{majmin}/%{version}/%{qt_module}-everywhere-src-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}
BuildRequires: libtiff-devel
BuildRequires: jasper-devel
BuildRequires: pkgconfig(libmng)
BuildRequires: pkgconfig(libwebp)

# filter plugin provides
%global __provides_exclude_from ^%{_qt6_plugindir}/.*\\.so$

%description
The core Qt Gui library by default supports reading and writing image
files of the most common file formats: PNG, JPEG, BMP, GIF and a few more,
ref. Reading and Writing Image Files. The Qt Image Formats add-on module
provides optional support for other image file formats, including:
MNG, TGA, TIFF, WBMP.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1

rm -rv src/3rdparty


%build
%cmake_qt6 -DQT_FEATURE_mng=ON

%cmake_build


%install
%cmake_install


%files
%license LICENSE.GPL*
%license LICENSE.LGPL*
# FIXME: find out what this plugin is not build/installed
#{_qt6_plugindir}/imageformats/libqmng.so
%{_qt6_plugindir}/imageformats/libqtga.so
%{_qt6_plugindir}/imageformats/libqtiff.so
%{_qt6_plugindir}/imageformats/libqwbmp.so
%{_qt6_plugindir}/imageformats/libqicns.so
%{_qt6_plugindir}/imageformats/libqjp2.so
%{_qt6_plugindir}/imageformats/libqwebp.so
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake


%changelog
* Thu Feb 04 2021 Jan Grulich <jgrulich@redhat.com> - 6.0.1-1
- 6.0.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 18 2021 Jan Grulich <jgrulich@redhat.com> - 6.0.0-1
- 6.0.0
